Nous utilisons des cookies pour vous garantir la meilleure expérience sur notre site. Si vous continuez à utiliser ce dernier, nous considèrerons que vous acceptez l'utilisation des cookies. J'ai compris ! ou En savoir plus !.
banniere

Le portail francophone de la géomatique


Toujours pas inscrit ? Mot de passe oublié ?
Nom d'utilisateur    Mot de passe              Toujours pas inscrit ?   Mot de passe oublié ?

#1 Wed 15 March 2023 16:07

image95
Membre
Date d'inscription: 6 Sep 2014
Messages: 246

QGIS Server: Installation sur Debian ?

Bonjour,
Je souhaite installer Qgis server sur mon serveur Linux Debian. Pour le moment, ca ne fonctionne pas.
Pour info, j'ai déjà un serveur apache fonctionnel et utilisé pour geoserver et geonetwork.

J'ai suivi la doc/tuto Qgis server :
https://docs.qgis.org/3.22/fr/docs/trai … stall.html
https://docs.qgis.org/3.22/fr/docs/serv … ed-systems

Pour info,quand je test l'executable, voici le message. Il m'a récupéré qgis 3.1 (et non la 3.22). Et le message du status est 200 et non 400.

Code:

root@XXXXXXXXXX:/usr/lib/cgi-bin# /usr/lib/cgi-bin/qgis_mapserv.fcgi --version
Application path not initialized
Application path not initialized
Application path not initialized
QStandardPaths: runtime directory '/run/user/1001' is not owned by UID 0, but a directory permissions 0700 owned by UID 1001 GID 1001
Warning 1: Unable to find driver ECW to unload from GDAL_SKIP environment variable.
Warning 1: Unable to find driver ECW to unload from GDAL_SKIP environment variable.
Warning 1: Unable to find driver JP2ECW to unload from GDAL_SKIP environment variable.
Initializing server modules from  "/usr/lib/qgis/server"
"Checking /usr/lib/qgis/server for native services modules"
"Loading native module /usr/lib/qgis/server/libdummy.so"
"Loading native module /usr/lib/qgis/server/libwcs.so"
"Loading native module /usr/lib/qgis/server/libwfs.so"
"Loading native module /usr/lib/qgis/server/libwfs3.so"
"Loading native module /usr/lib/qgis/server/libwms.so"
"Loading native module /usr/lib/qgis/server/libwmts.so"
<string>:1: DeprecationWarning: setapi() is deprecated
Logged warning: Loading a file that was saved with an older version of qgis (saved in 0.0.0, loaded in 3.10.14-A Coruña). Problems may occur.
Content-Length: 206
Content-Type: text/xml; charset=utf-8
[b]Server:  Qgis FCGI server - QGis version 3.10.14-A Coruña
Status:  200
<ServiceExceptionReport xmlns="http://www.opengis.net/ogc" version="1.3.0">
<ServiceException code="Service configuration error">Service unknown or unsupported</ServiceException>
</ServiceExceptionReport>

[/b]

J'ai bien installé mod_fcgid.
Vu que j'ai dejà Apache d'installer. Que dois je faire ? J'aimerais pouvoir faire cohabiter geoserver, geonetwork et qgis server. J'aimerais pouvoir ajouter pour qgis server un https://SERVEUR_NAME/qgis_server.

J'ai quand meme créé un fichier qgis.demo.conf sous etc/apache2/sites-available. J'ai simplement remplacé ServerName par l'IP de mon server. Je n'ai rien modifié d'autre. Vu mon besoin et environnement de travail, devrais je modifier la premiere ligne du fichier ? :

Code:

<VirtualHost *:80>

J'ai créé les répertoires qui stockeront les logs du serveur QGIS et ceux de la base de données d’authentification :

Code:

mkdir -p /var/log/qgis/
chown www-data:www-data /var/log/qgis
mkdir -p /home/qgis/qgisserverdb
chown www-data:www-data /home/qgis/qgisserverdb

J'ai activé fgcid mode et l'hote virtuel. Mais après avoir un restart d'apache, je n'ai rien.

Code:

root@XXXXXXXXXXXXXXXX:/etc# curl http://XXXXXXX.fr/cgi-bin/qgis_mapserv.fcgi
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>301 Moved Permanently</title>
</head><body>
<h1>Moved Permanently</h1>
<p>The document has moved <a href="https://XXXXXXXXXXXcgi-bin/qgis_mapserv.fcgi">here</a>.</p>
<hr>
<address>Apache/2.4.54 (Debian) Server at XXXXXXX.fr Port 80</address>
</body></html>

Via le navigateur, lorsque je tente XXXXX.fr/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetCapabilities
Il est indiqué Site inaccessible.

Si une personne pouvait m'aider? Merci.

Dernière modification par image95 (Wed 15 March 2023 16:13)

Hors ligne

 

#2 Fri 17 March 2023 11:32

image95
Membre
Date d'inscription: 6 Sep 2014
Messages: 246

Re: QGIS Server: Installation sur Debian ?

Bonjour,
Apres avoir remplacé au sein du fichier qgis.demo.conf la valeur de l'IP par le nom du serveur. Voici ce les messages que j'obtiens :


root@XXXXX:/etc/apache2/sites-available# curl XXXX.fr/cgi-bin/qgis_mapserv.fcgi
<ServerException>Project file error</ServerException>

root@XXXXXX:/etc/apache2/sites-available# a2ensite XXXXXXXX
ERROR: Site XXXXXX does not exist!

Si une personne pense avoir une piste ?

Hors ligne

 

#3 Tue 21 March 2023 18:42

tumasgiu
Membre
Lieu: Ajaccio
Date d'inscription: 5 Jul 2010
Messages: 1129

Re: QGIS Server: Installation sur Debian ?

Bonjour,

les virtual host permettent à apache de servir different contenus selon le nom dns avec lequel celui-ci est contacté.
Votre serveur peut avoir plusieurs enregistrements dns qui le referencere, par exemple avec des sous-domaines :
* geonetwork.monserveur.local
* qserv.monserveur.local
* geoserver.monserveur.local

Ca donnerait :

Code:

Listen 80

<VirtualHost *:80>
    DocumentRoot "/www/geonetwork/"
    ServerName geonetwork.monserveur.local
  
    # Autres directives ici
</VirtualHost>

<VirtualHost *:80>
    DocumentRoot "/www/qgisserver"
    ServerName qserv.monserveur.local
  
    # Autres directives ici
</VirtualHost>

<VirtualHost *:80>
    DocumentRoot "/www/geonetwork"
    ServerName geonetwork.monserveur.local

    # configuration pour geonetwork
</VirtualHost>

https://httpd.apache.org/docs/2.4/vhosts/examples.html

Hors ligne

 

#4 Thu 23 March 2023 14:52

image95
Membre
Date d'inscription: 6 Sep 2014
Messages: 246

Re: QGIS Server: Installation sur Debian ?

Bonjour,
J'ai désinstallé tout ce que j'avais installé (depuis le depot Debian) jusqu'à maintenant qui proposait uniquement la version qgis server 3.10. 
J'ai ajouté le depot qgis officiel qui a permis de recuperer/d'installer la version de qgis server 3.30. La toute dernière. Par contre, le projet qgis que j'essaie de servir est de version 3.28 et non 3.30.
Voici le message d'erreur que j'obtiens désormais :

Code:

root@SERVEUR_NAME:/home/qgis/projects# curl http://SERVEUR_NAME/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&VERSION=                                                                                                                        1.3.0&REQUEST=GetCapabilities
[1] 395943
[2] 395944
root@SERVEUR_NAME:/home/qgis/projects# <?xml version="1.0" encoding="UTF-8"?>
<ServiceExceptionReport xmlns="http://www.opengis.net/ogc" version="1.3.0">
 <ServiceException code="OperationNotSupported">Please add or check the value of the REQUEST parameter</ServiceExcept                                                                                                                        ion>
</ServiceExceptionReport>
^C
[1]-  Fini                    curl http://SERVEUR_NAME/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS
[2]+  Fini                    VERSION=1.3.0

Une personne saurait m'aider ? Merci.

Dernière modification par image95 (Thu 23 March 2023 14:53)

Hors ligne

 

#5 Mon 27 March 2023 08:41

image95
Membre
Date d'inscription: 6 Sep 2014
Messages: 246

Re: QGIS Server: Installation sur Debian ?

Probleme résolu. Il y avait une grosse typo dans la doc officielle :
https://lists.osgeo.org/pipermail/qgis- … 52763.html


Comment signaler cette erreur qui personnellement m'a fait tres mal ? ;-)

Hors ligne

 

Pied de page des forums

Powered by FluxBB